Subject: RE: draft response #52 Operation over ATM

From: [email-masked]
Date: Sun, 15 Aug 1999 23:14:46 +0300

> -----Original Message-----
> From: EXT Joachim Buerkle [mailto:[email-masked]]
> Sent: 14 August, 1999 6:27 PM
> To: [email-masked]; [email-masked]
> Subject: Re: draft of draft-ietf-gsmp-msf-response-00.txt
> 
> >>Requirement #52:       
> The SCP shall be capable of 
> operating over ATM

> >>GSMPv3 compliance:     
> E. requirement needs further 
> explanation. The GSMP protocol
> uses VPI=0 and VCI=15 for ATM connections that is directly 
> connected (data link
> between controller and switch). There are not yet any methods 
> defined for across an
> ATM cloud.  If this is what the requirement indicates then 
> suggestions for a
> mechanism are required.
> 
> St: in my view the ATM Network (ATM Cloud) provider is 
> responsible for the setup of
> this connection (whether as PVC, SPVC, etc.) This is the same 
> as in the case of a
> direct connection between controller and switch.
> Q: Can we add e.g. the optional use of VPI=0 VCI=33 if the 
> ATM cloud doesn't support
> the transport of VPI=0 and VCI=15?
> 

I think that there are several ways of handling traffic of an ATM cloud that
include configurable control VPI/VCI or requiring classical IP over ATM
encapsulation.

At the moment, there is a presumption of ATM point to point connectivity
using 0,15.  Is there a requirement that this be definable to some other
arbitrary value?  Is so, we need to change the presumption in the protocol.
Or is it enough to use IP whenever the connection is not PtP?  In which case
we really don't need to change anything.  The point is to define operation
over an ATM cloud, we need to define how it is done, and we haven't done
this yet.  In fact I am not sure what the full extent of the requirement is.

I am also not sure if there are other implications in remote ATM operation,
and thus the request for more information.

a.

-----------------------------------
avri doria
+1 617 678 9402